<template>
  <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="articles">
    <div class="w-100">
      <h2 class="mb-5">Articles</h2>
      
      <ul v-for="edge in $static.articles.edges" :key="edge.node.id" class="fa-ul mb-0">
        <li>
          <font-awesome class="fa-li" :icon="['fas', 'angle-right']"/><g-link :to="`/article/${edge.node.slug}`">{{edge.node.title}}</g-link>
        </li>
      </ul>
    </div>
  </section>
</template>

<static-query>
query Articles {
  articles: allContentfulArticle(sortBy: "createdAt") {
    edges {
      node {
        id
        title
        slug
      }
    }
  }
}
</static-query>